Skip to Content
OneKYC
Tenant API (KYC)API reference (OpenAPI)

KYB Review

13 operations

Last updated:
GET
/v1/kyb/review-tasks

Authorization

ApiKeyAuth
headerAuthorization<token>

HMAC-SHA256 Credential=<key_id>, Signature=<hex_signature>. SignedHeaders=x-timestamp is optional. Requires X-Timestamp header.

Query Parameters

page?integer

Page (default 1)

page_size?integer

Page size (1-100, default 50)

status?string

Comma-separated statuses: pending,assigned,in_progress,awaiting_resubmit,approved,rejected,completed

priority?string

Comma-separated priorities: low,medium,high,urgent

flow_id?string

Flow UUID

assigned_to?string

Reviewer/API key UUID

session_id?string

Session UUID

q?string

Search by external ID/company

date_from?string

From (RFC3339)

date_to?string

To (RFC3339)

sla_status?string

SLA status: breached, warning, ok

sort?string

Sort order: priority_desc, sla_asc, created_at_asc, created_at_desc

Header Parameters

X-Timestamp*string

Unix timestamp (seconds, max 5 min drift)

Response Body

OK

application/json
  1. response
data?array<>
pagination?
success?boolean
Example Request
curl -X GET 'https://api.onekyc.io/tenant/v1/kyb/review-tasks' \  -H 'X-Timestamp: string'
Example Response
{  "pagination": {    "page": 0,    "page_size": 0,    "total_items": 0,    "total_pages": 0  },  "success": true,  "data": [    {      "applicant_first_name": "string",      "applicant_full_name": "string",      "applicant_full_name_latin": "string",      "applicant_full_name_native": "string",      "applicant_full_name_original": "string",      "applicant_id": "string",      "applicant_last_name": "string",      "applicant_middle_name": "string",      "applicant_nationality": "string",      "assigned_at": "string",      "assigned_display_name": "string",      "assigned_to": "string",      "assigned_to_type": "string",      "business_company_name": "string",      "business_country": "string",      "business_external_id": "string",      "business_id": "string",      "business_registration_number": "string",      "business_tax_number": "string",      "created_at": "string",      "external_user_id": "string",      "flow_id": "string",      "flow_name": "string",      "id": "string",      "priority": 0,      "reason": "string",      "review_reasons": [        {}      ],      "reviewer_email": "string",      "reviewer_first_name": "string",      "reviewer_last_name": "string",      "session_created_at": "string",      "session_environment": "string",      "session_id": "string",      "sla_breached": true,      "sla_deadline": "string",      "started_at": "string",      "status": "string",      "system_decision": "string",      "tenant_id": "string",      "verification_result": "string",      "verification_score": 0    }  ]}
GET
/v1/kyb/review-tasks/{task_id}

Authorization

ApiKeyAuth
headerAuthorization<token>

HMAC-SHA256 Credential=<key_id>, Signature=<hex_signature>. SignedHeaders=x-timestamp is optional. Requires X-Timestamp header.

Path Parameters

task_id*string

Review task UUID

Header Parameters

X-Timestamp*string

Unix timestamp (seconds, max 5 min drift)

Response Body

OK

application/json
  1. response
data?
success?boolean
Example Request
curl -X GET 'https://api.onekyc.io/tenant/v1/kyb/review-tasks/string' \  -H 'X-Timestamp: string'
Example Response
{  "success": true,  "data": {    "comments": [      {        "author_display_name": "string",        "author_id": "string",        "author_type": "string",        "content": "string",        "created_at": "string",        "id": "string",        "task_id": "string"      }    ],    "task": {      "applicant_id": "string",      "approval_blocked_reason": "string",      "assigned_at": "string",      "assigned_display_name": "string",      "assigned_to": "string",      "assigned_to_type": "string",      "completed_at": "string",      "created_at": "string",      "decision": "string",      "decision_at": "string",      "decision_by": "string",      "decision_by_type": "string",      "decision_display_name": "string",      "external_user_id": "string",      "flow_id": "string",      "flow_name": "string",      "history": [        {          "action": "string",          "actor_id": "string",          "actor_name": "string",          "actor_type": "string",          "created_at": "string",          "details": {            "property1": null,            "property2": null          },          "id": "string"        }      ],      "id": "string",      "notes": "string",      "priority": 0,      "reason": "string",      "reason_details": "string",      "reject_reason_code": "string",      "resubmit_limit_override": 0,      "review_reasons": [        {}      ],      "session_created_at": "string",      "session_entity_type": "string",      "session_environment": "string",      "session_id": "string",      "session_status": "string",      "status": "string",      "system_decision": "string",      "tenant_id": "string"    }  }}
POST
/v1/kyb/review-tasks/{task_id}/approve

Authorization

ApiKeyAuth
headerAuthorization<token>

HMAC-SHA256 Credential=<key_id>, Signature=<hex_signature>. SignedHeaders=x-timestamp is optional. Requires X-Timestamp header.

Path Parameters

task_id*string

Review task UUID

Header Parameters

X-Timestamp*string

Unix timestamp (seconds, max 5 min drift)

Request Body

Optional comment and optimistic lock timestamp

application/json
  1. body
comment?string
if_unmodified_since?string

Response Body

OK

application/json
  1. response
data?unknown
success?boolean
Example Request
curl -X POST 'https://api.onekyc.io/tenant/v1/kyb/review-tasks/string/approve' \  -H 'X-Timestamp: string' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "data": null,  "success": true}
POST
/v1/kyb/review-tasks/{task_id}/assign

Authorization

ApiKeyAuth
headerAuthorization<token>

HMAC-SHA256 Credential=<key_id>, Signature=<hex_signature>. SignedHeaders=x-timestamp is optional. Requires X-Timestamp header.

Path Parameters

task_id*string

Review task UUID

Header Parameters

X-Timestamp*string

Unix timestamp (seconds, max 5 min drift)

Response Body

OK

application/json
  1. response
data?unknown
success?boolean
Example Request
curl -X POST 'https://api.onekyc.io/tenant/v1/kyb/review-tasks/string/assign' \  -H 'X-Timestamp: string'
Example Response
{  "data": null,  "success": true}
GET
/v1/kyb/review-tasks/{task_id}/comments

Authorization

ApiKeyAuth
headerAuthorization<token>

HMAC-SHA256 Credential=<key_id>, Signature=<hex_signature>. SignedHeaders=x-timestamp is optional. Requires X-Timestamp header.

Path Parameters

task_id*string

Review task UUID

Header Parameters

X-Timestamp*string

Unix timestamp (seconds, max 5 min drift)

Response Body

OK

application/json
  1. response
data?array<>
pagination?
success?boolean
Example Request
curl -X GET 'https://api.onekyc.io/tenant/v1/kyb/review-tasks/string/comments' \  -H 'X-Timestamp: string'
Example Response
{  "pagination": {    "has_more": true,    "limit": 0,    "next_cursor": "string",    "offset": 0,    "total": 0  },  "success": true,  "data": [    {      "author_display_name": "string",      "author_id": "string",      "author_type": "string",      "content": "string",      "created_at": "string",      "id": "string",      "task_id": "string"    }  ]}
POST
/v1/kyb/review-tasks/{task_id}/comments

Authorization

ApiKeyAuth
headerAuthorization<token>

HMAC-SHA256 Credential=<key_id>, Signature=<hex_signature>. SignedHeaders=x-timestamp is optional. Requires X-Timestamp header.

Path Parameters

task_id*string

Review task UUID

Header Parameters

X-Timestamp*string

Unix timestamp (seconds, max 5 min drift)

Request Body

Comment payload

application/json
  1. body
content?string

Content is the comment text (required, non-empty after trim).

Response Body

OK

application/json
  1. response
data?
success?boolean
Example Request
curl -X POST 'https://api.onekyc.io/tenant/v1/kyb/review-tasks/string/comments' \  -H 'X-Timestamp: string' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "success": true,  "data": {    "author_display_name": "string",    "author_id": "string",    "author_type": "string",    "comment_id": "string",    "content": "string",    "created_at": "string",    "message": "string",    "task_id": "string"  }}
GET
/v1/kyb/review-tasks/{task_id}/documents/{document_id}/url

Authorization

ApiKeyAuth
headerAuthorization<token>

HMAC-SHA256 Credential=<key_id>, Signature=<hex_signature>. SignedHeaders=x-timestamp is optional. Requires X-Timestamp header.

Path Parameters

task_id*string

Review task UUID

document_id*string

Document ID or storage key suffix

Header Parameters

X-Timestamp*string

Unix timestamp (seconds, max 5 min drift)

Response Body

OK

application/json
  1. response
data?unknown
success?boolean
Example Request
curl -X GET 'https://api.onekyc.io/tenant/v1/kyb/review-tasks/string/documents/string/url' \  -H 'X-Timestamp: string'
Example Response
{  "data": null,  "success": true}
PATCH
/v1/kyb/review-tasks/{task_id}/priority

Authorization

ApiKeyAuth
headerAuthorization<token>

HMAC-SHA256 Credential=<key_id>, Signature=<hex_signature>. SignedHeaders=x-timestamp is optional. Requires X-Timestamp header.

Path Parameters

task_id*string

Review task UUID

Header Parameters

X-Timestamp*string

Unix timestamp (seconds, max 5 min drift)

Request Body

Priority payload

application/json
  1. body
priority?string

Response Body

OK

application/json
  1. response
data?unknown
success?boolean
Example Request
curl -X PATCH 'https://api.onekyc.io/tenant/v1/kyb/review-tasks/string/priority' \  -H 'X-Timestamp: string' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "data": null,  "success": true}
POST
/v1/kyb/review-tasks/{task_id}/reject

Authorization

ApiKeyAuth
headerAuthorization<token>

HMAC-SHA256 Credential=<key_id>, Signature=<hex_signature>. SignedHeaders=x-timestamp is optional. Requires X-Timestamp header.

Path Parameters

task_id*string

Review task UUID

Header Parameters

X-Timestamp*string

Unix timestamp (seconds, max 5 min drift)

Request Body

Reject payload

application/json
  1. body
comment?string
if_unmodified_since?string
reason_code?string

Response Body

OK

application/json
  1. response
data?unknown
success?boolean
Example Request
curl -X POST 'https://api.onekyc.io/tenant/v1/kyb/review-tasks/string/reject' \  -H 'X-Timestamp: string' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "data": null,  "success": true}
POST
/v1/kyb/review-tasks/{task_id}/request-resubmit

Authorization

ApiKeyAuth
headerAuthorization<token>

HMAC-SHA256 Credential=<key_id>, Signature=<hex_signature>. SignedHeaders=x-timestamp is optional. Requires X-Timestamp header.

Path Parameters

task_id*string

Review task UUID

Header Parameters

X-Timestamp*string

Unix timestamp (seconds, max 5 min drift)

Request Body

Resubmit payload

application/json
  1. body
client_message?string
internal_notes?string
reason_code?string
request_id?string
scope?string
step_id?string

Response Body

OK

application/json
  1. response
data?
success?boolean
Example Request
curl -X POST 'https://api.onekyc.io/tenant/v1/kyb/review-tasks/string/request-resubmit' \  -H 'X-Timestamp: string' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "success": true,  "data": {    "clientMessage": "string",    "createdAt": "string",    "deliveredAt": "string",    "deliveryChannel": "string",    "expiresAt": "string",    "fulfilledAt": "string",    "id": "string",    "internalNotes": "string",    "reasonCode": "string",    "requestedBy": "string",    "requestedByDisplayName": "string",    "requestedByType": "string",    "scope": "string",    "sessionID": "string",    "status": "string",    "stepID": "string",    "taskID": "string",    "tenantID": "string",    "updatedAt": "string"  }}
GET
/v1/kyb/review-tasks/{task_id}/resubmits

Authorization

ApiKeyAuth
headerAuthorization<token>

HMAC-SHA256 Credential=<key_id>, Signature=<hex_signature>. SignedHeaders=x-timestamp is optional. Requires X-Timestamp header.

Path Parameters

task_id*string

Review task UUID

Header Parameters

X-Timestamp*string

Unix timestamp (seconds, max 5 min drift)

Response Body

OK

application/json
  1. response
data?array<>
pagination?
success?boolean
Example Request
curl -X GET 'https://api.onekyc.io/tenant/v1/kyb/review-tasks/string/resubmits' \  -H 'X-Timestamp: string'
Example Response
{  "pagination": {    "has_more": true,    "limit": 0,    "next_cursor": "string",    "offset": 0,    "total": 0  },  "success": true,  "data": [    {      "clientMessage": "string",      "createdAt": "string",      "deliveredAt": "string",      "deliveryChannel": "string",      "expiresAt": "string",      "fulfilledAt": "string",      "id": "string",      "internalNotes": "string",      "reasonCode": "string",      "requestedBy": "string",      "requestedByDisplayName": "string",      "requestedByType": "string",      "scope": "string",      "sessionID": "string",      "status": "string",      "stepID": "string",      "taskID": "string",      "tenantID": "string",      "updatedAt": "string"    }  ]}
GET
/v1/kyb/review-tasks/reject-reasons

Authorization

ApiKeyAuth
headerAuthorization<token>

HMAC-SHA256 Credential=<key_id>, Signature=<hex_signature>. SignedHeaders=x-timestamp is optional. Requires X-Timestamp header.

Header Parameters

X-Timestamp*string

Unix timestamp (seconds, max 5 min drift)

Response Body

OK

application/json
  1. response
data?array<>
pagination?
success?boolean
Example Request
curl -X GET 'https://api.onekyc.io/tenant/v1/kyb/review-tasks/reject-reasons' \  -H 'X-Timestamp: string'
Example Response
{  "pagination": {    "has_more": true,    "limit": 0,    "next_cursor": "string",    "offset": 0,    "total": 0  },  "success": true,  "data": [    {      "category": "string",      "code": "string",      "label_en": "string",      "label_ru": "string"    }  ]}
GET
/v1/kyb/review-tasks/stats

Authorization

ApiKeyAuth
headerAuthorization<token>

HMAC-SHA256 Credential=<key_id>, Signature=<hex_signature>. SignedHeaders=x-timestamp is optional. Requires X-Timestamp header.

Header Parameters

X-Timestamp*string

Unix timestamp (seconds, max 5 min drift)

Response Body

OK

application/json
  1. response
data?
success?boolean
Example Request
curl -X GET 'https://api.onekyc.io/tenant/v1/kyb/review-tasks/stats' \  -H 'X-Timestamp: string'
Example Response
{  "success": true,  "data": {    "avg_time_minutes": 0,    "completed_today": 0,    "in_progress": 0,    "pending": 0  }}